Compatibilité avec NI-DAQmx et LabVIEW

Aperçu

Cette page affiche les versions supportées du driver matériel NI-DAQmx avec les systèmes de développement LabVIEW et LabVIEW Real-Time. Reportez-vous à ces informations afin de vous assurer que vous installez la bonne version lors de la mise à niveau ou de la mise à jour de votre système ou logiciel. Utiliser des versions incompatibles peut entraîner des erreurs, aboutir à des palettes et des fonctions LabVIEW manquantes, ou des périphériques et des tâches peuvent ne pas apparaître dans NI Measurement & Automation Explorer (MAX).

Notez que cet article remplace KnowledgeBase 3PIA89N5 : Compatibilité avec les versions de DAQmx et de LabVIEW. Certains manuels NI peuvent encore faire référence à ce document. Si vous avez été redirigé à partir de l’URL précédent de la Base de connaissances, veuillez mettre à jour vos favoris.

Contenu

Compatibilité de NI-DAQmx avec le service pack LabVIEW

Les services pack LabVIEW n’affectent pas la compatibilité avec NI-DAQmx. Par exemple, DAQmx 15.0 est compatible avec LabVIEW 2015 et avec LabVIEW 2015 SP1. Cela ne s’applique pas nécessairement aux autres drivers NI.

Tableau de compatibilité DAQmx et LabVIEW

Le tableau ci-dessous fait référence aux versions de NI-DAQmx et de LabVIEW (Community, Professional et Run-Time). Veuillez vous reporter à ce document pour la compatibilité de NI-DAQmx et LabVIEW NXG.

Utilisez ce tableau pour comparer les versions de NI-DAQmx avec les versions compatibles de LabVIEW.

Version de NI-DAQmx Version de LabVIEW/LabVIEW Real-Time
2021 2020 2019 2018 2017 2016 2015
21.8      
21.3      
21.0      
20.7      
20.0      
19.6      
19.5      
19.1      
19.0      
18.6      

Compatible

Anciennes versions de NI-DAQmx et de LabVIEW

Pour obtenir des informations sur la compatibilité des anciennes versions de DAQmx ou de LabVIEW, veuillez vous reporter au tableau de compatibilité DAQmx LabVIEW joint à la section Téléchargements de ce document. 

Was this information helpful?

Yes

No